Bug 205249 - Review Request: perl-Data-OptList - Parse and validate simple name/value option pairs
Review Request: perl-Data-OptList - Parse and validate simple name/value opti...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
http://search.cpan.org/dist/Data-OptL...
:
Depends On: perl-Sub-Install
Blocks: FE-ACCEPT perl-Sub-Exporter
  Show dependency treegraph
 
Reported: 2006-09-05 11:49 EDT by Chris Weyl
Modified: 2011-02-12 19:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 12:31:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-09-05 11:49:34 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Data-OptList-0.101-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Data-OptList.spec

Description:
Hashes are great for storing named data, but if you want more than one
entry for a name, you have to use a list of pairs. Even then, this is
really boring to write:
Comment 1 Patrice Dumas 2006-09-07 03:12:07 EDT
* rpmlint is silent
* package named according to guidelines
* free software, without licence files included
* meets packaging guidelines
* spec legible
* source match upstream
6e9bb994a8716112a78c1306261f4164  Data-OptList-0.101.tar.gz
* sane provides 
Provides: perl(Data::OptList) = 0.101
* %files right

APPROVED
Comment 2 Chris Weyl 2006-09-07 12:31:37 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+Request branching (FC-5)
+Close bug

Thanks for the review!
Comment 3 Paul Howarth 2011-01-17 06:28:29 EST
Package Change Request
======================
Package Name: perl-Data-OptList
New Branches: el4
Owners: pghmcfc rmyers

I'd like an EPEL-4 branch for perl-Data-OptList please. The Fedora maintainer
(cweyl) isn't interested in EPEL, and the EPEL-5 maintainer (rmyers) doesn't
seem to have been active in Fedora for a few months and hasn't responded to a
private email sent on the 5th January. Nevertheless, I'd added him as
co-maintainer and he's welcome to the package if at a later date he wants it.
Comment 4 Jens Petersen 2011-01-18 01:43:22 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2011-01-27 14:06:44 EST
perl-Data-OptList-0.101-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Data-OptList-0.101-2.el4
Comment 6 Fedora Update System 2011-02-12 19:17:41 EST
perl-Data-OptList-0.101-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.